@model IEnumerable<UserWithRolesViewModel>

@{
    ViewBag.Title = "Alle gebruikers";
    Layout = "_Layout";
}

<h2>Alle gebruikers</h2>
<br/>
<a asp-action="AddUser" class="btn btn-primary">Nieuwe gebruiker</a>
<br/><br/>
<table class="table">
    <thead>
    <tr>
        <th>Gebruikersnaam</th>
        <th>Email</th>
        <th>Rollen</th>
        <th>Platform</th>
        <th></th>
    </tr>
    </thead>
    <tbody>
    @foreach (var user in Model)
    {
        <tr>
            <td>@user.User.UserName</td>
            <td>@user.User.Email</td>
            <td>@string.Join(", ", user.Roles)</td>
            <td>
            <a asp-action="Update" asp-controller="Admin" asp-route-id="@user.User.Id">Update</a>
            <a asp-action="Delete" asp-controller="Admin" asp-route-id="@user.User.Id">Verwijder</a>
        </tr>
    }
    </tbody>
</table>